Bug 170389 - [new port] Create mail/gmime26 port
Summary: [new port] Create mail/gmime26 port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-05 11:30 UTC by Alan Hicks
Modified: 2013-05-22 10:10 UTC (History)
0 users

See Also:


Attachments
gmime26.diff (3.34 KB, patch)
2012-08-05 11:30 UTC, Alan Hicks
no flags Details | Diff
gmime26.diff (11.91 KB, patch)
2012-08-08 18:59 UTC, Alan Hicks
no flags Details | Diff
gmime26-2611.diff (7.85 KB, patch)
2012-11-02 11:36 UTC, Alan Hicks
no flags Details | Diff
gmime26-sharp.diff (1.26 KB, patch)
2012-11-02 11:36 UTC, Alan Hicks
no flags Details | Diff
gmime-2.6.15.diff (9.20 KB, patch)
2013-05-13 13:06 UTC, Koop Mast
no flags Details | Diff
gmime-2.6.15.diff (11.27 KB, patch)
2013-05-15 16:05 UTC, Alan Hicks
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Hicks 2012-08-05 11:30:01 UTC
    Create mail/gmime-2.6 port

Fix: Apply patch to repocopy of gmime24
Comment 1 Koop Mast freebsd_committer 2012-08-05 11:57:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Grab
Comment 2 Alan Hicks 2012-08-08 18:59:50 UTC
Updated patch with fewer errors
Two files were removed so patch -E <gmime26.diff may be helpful
Comment 3 Koop Mast freebsd_committer 2012-08-12 10:39:00 UTC
Hello I got a comments,

I'm not for adding the doc files in @comments. It is either removing the
patch-docs_Makefile.in patch and install them or not list them at all in
the plist.

I would say just remove the entries from the plist, what do you say?

-Koop
Comment 4 Koop Mast freebsd_committer 2012-08-12 13:31:17 UTC
On Sun, 2012-08-12 at 13:26 +0100, Alan Hicks wrote:
> OK, I'm happy to remove, would you like me to send another patch?
> Alan

No it fine I will handle it here. I'm now just waiting for mono@ to
respond to a question I had regarding the -sharp slave port.
Also please keep the bug-followup@ in the CC so the correspondence is
logged in the bug.

-Koop

> On 12/08/2012 10:39, Koop Mast wrote:
> > Hello I got a comments,
> >
> > I'm not for adding the doc files in @comments. It is either removing the
> > patch-docs_Makefile.in patch and install them or not list them at all in
> > the plist.
> >
> > I would say just remove the entries from the plist, what do you say?
> >
> > -Koop
> >
> >
Comment 5 Alan Hicks 2012-11-02 11:36:58 UTC
On Sunday 12 August 2012 14:31:17 Koop Mast wrote:
> On Sun, 2012-08-12 at 13:26 +0100, Alan Hicks wrote:
> > OK, I'm happy to remove, would you like me to send another patch?
> > Alan
> 
> No it fine I will handle it here. I'm now just waiting for mono@ to
> respond to a question I had regarding the -sharp slave port.
> Also please keep the bug-followup@ in the CC so the correspondence is
> logged in the bug.
> 
> -Koop
> 
> > On 12/08/2012 10:39, Koop Mast wrote:
> > > Hello I got a comments,
> > > 
> > > I'm not for adding the doc files in @comments. It is either removing the
> > > patch-docs_Makefile.in patch and install them or not list them at all in
> > > the plist.
> > > 
> > > I would say just remove the entries from the plist, what do you say?
> > > 
> > > -Koop

Updated patch for latest version 2.6.11 and a gmime26-sharp one
Comment 6 Koop Mast 2013-05-13 13:06:24 UTC
Hi here is a update to 2.6.15, with some more tweaks.

I suggest to use ltverhack. This will give is libgmime-2.6.so.0 instead
of libgmime-2.6.so.600.
Replace LIBS with LDFLAGS, and remove PTHREAD_CFLAGS since it empty
since FreeBSD 6.x or so.
Convert to OptionsNG framework.

For the sharp port use USE_GNOME from the master port and only put in
gtksharp20. And disable DOCS install via recently added macro.
Comment 7 Koop Mast 2013-05-13 13:35:07 UTC
I forgot to mention that I disabled the test suit post-patch because it
depends on libgcrypt.
Comment 8 Alan Hicks 2013-05-15 16:05:28 UTC
Hi.  Minor fix for gmime26-sharp/Makefile re header and added gmime26/files as 
I think they are still needed.
Comment 9 dfilter service freebsd_committer 2013-05-22 10:05:04 UTC
Author: kwm
Date: Wed May 22 09:04:54 2013
New Revision: 318750
URL: http://svnweb.freebsd.org/changeset/ports/318750

Log:
  Add gmime and gmime-sharp 2.6.15.
  
  PR:		ports/170389
  Submitted by:	myself
  Approved by:	Alan Hicks <ahicks@p-o.co.uk>, \
  		romain@ (priv mail, for -sharp port)

Added:
  head/mail/gmime26/
     - copied from r317975, head/mail/gmime24/
  head/mail/gmime26-sharp/
     - copied from r317975, head/mail/gmime24-sharp/
  head/mail/gmime26/files/patch-gmime.pc.in   (contents, props changed)
     - copied, changed from r317975, head/mail/gmime24/files/patch-gmime-2.4.pc.in
Deleted:
  head/mail/gmime26/files/patch-gmime-2.4.pc.in
  head/mail/gmime26/files/patch-mono_gmime-sharp.dll.config.in
Modified:
  head/mail/Makefile
  head/mail/gmime26-sharp/Makefile   (contents, props changed)
  head/mail/gmime26-sharp/pkg-plist   (contents, props changed)
  head/mail/gmime26/Makefile
  head/mail/gmime26/distinfo
  head/mail/gmime26/pkg-plist   (contents, props changed)

Modified: head/mail/Makefile
==============================================================================
--- head/mail/Makefile	Wed May 22 08:48:30 2013	(r318749)
+++ head/mail/Makefile	Wed May 22 09:04:54 2013	(r318750)
@@ -166,6 +166,8 @@
     SUBDIR += gmime2-sharp
     SUBDIR += gmime24
     SUBDIR += gmime24-sharp
+    SUBDIR += gmime26
+    SUBDIR += gmime26-sharp
     SUBDIR += gml
     SUBDIR += gnarwl
     SUBDIR += gnome-gmail-notifier

Modified: head/mail/gmime26-sharp/Makefile
==============================================================================
--- head/mail/gmime24-sharp/Makefile	Sun May 12 19:57:08 2013	(r317975)
+++ head/mail/gmime26-sharp/Makefile	Wed May 22 09:04:54 2013	(r318750)
@@ -1,33 +1,29 @@
-# New ports collection makefile for:		gmime2-sharp
-# Date Created:					20050513
-# Whom:				Tom McLaughlin <tmclaugh@sdf.lonestar.org>
-#
+# Created by: Tom McLaughlin <tmclaugh@sdf.lonestar.org>
 # $FreeBSD$
 #   $Id: Makefile,v 1.17 2006/10/26 18:37:29 tmclau02 Exp $
-#
 
-PORTREVISION=	2
+PORTREVISION=	0
 CATEGORIES=	mail
-PKGNAMESUFFIX=	-24-sharp
+PKGNAMESUFFIX=	-26-sharp
 
 MAINTAINER=	mono@FreeBSD.org
 COMMENT=	Mono bindings for gmime
 
-LIB_DEPENDS=	gmime-2.4:${PORTSDIR}/mail/gmime24
+LIB_DEPENDS=	gmime-2.6:${PORTSDIR}/mail/gmime26
 
-MASTERDIR=	${.CURDIR}/../gmime24
+MASTERDIR=	${.CURDIR}/../gmime26
 BUILD_WRKSRC=	${WRKSRC}/mono
 INSTALL_WRKSRC=	${BUILD_WRKSRC}
 DESCR=		${.CURDIR}/pkg-descr
 PLIST=		${.CURDIR}/pkg-plist
 
-USE_GNOME=	gnomehack glib20 gtksharp20
+USE_GNOME+=	gtksharp20
 CONFIGURE_ARGS=	--enable-mono=yes
 
-LATEST_LINK=	gmime24-sharp
+LATEST_LINK=	gmime26-sharp
 
-# Else we conflict with mail/gmime24
-NOPORTDOCS=	yes
+# Else we conflict with mail/gmime26
+OPTIONS_EXCLUDE=	DOCS
 
 # Done in pre-configure because master port has a post-patch target already.
 pre-configure:

Modified: head/mail/gmime26-sharp/pkg-plist
==============================================================================
--- head/mail/gmime24-sharp/pkg-plist	Sun May 12 19:57:08 2013	(r317975)
+++ head/mail/gmime26-sharp/pkg-plist	Wed May 22 09:04:54 2013	(r318750)
@@ -1,8 +1,10 @@
 @comment $FreeBSD$
-lib/mono/gac/gmime-sharp/2.4.0.0__2b75c2ad004c52e4/gmime-sharp.dll
-lib/mono/gac/gmime-sharp/2.4.0.0__2b75c2ad004c52e4/gmime-sharp.dll.config
-lib/mono/gmime-sharp-2.4/gmime-sharp.dll
-libdata/pkgconfig/gmime-sharp-2.4.pc
-@dirrm lib/mono/gmime-sharp-2.4
-@dirrmtry lib/mono/gac/gmime-sharp/2.4.0.0__2b75c2ad004c52e4
+lib/mono/gac/gmime-sharp/2.6.0.0__2b75c2ad004c52e4/gmime-sharp.dll
+lib/mono/gac/gmime-sharp/2.6.0.0__2b75c2ad004c52e4/gmime-sharp.dll.config
+lib/mono/gmime-sharp-2.6/gmime-sharp.dll
+libdata/pkgconfig/gmime-sharp-2.6.pc
+share/gapi-2.0/gmime-api.xml
+@dirrmtry share/gapi-2.0
+@dirrm lib/mono/gmime-sharp-2.6
+@dirrmtry lib/mono/gac/gmime-sharp/2.6.0.0__2b75c2ad004c52e4
 @dirrmtry lib/mono/gac/gmime-sharp

Modified: head/mail/gmime26/Makefile
==============================================================================
--- head/mail/gmime24/Makefile	Sun May 12 19:57:08 2013	(r317975)
+++ head/mail/gmime26/Makefile	Wed May 22 09:04:54 2013	(r318750)
@@ -2,11 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	gmime
-PORTVERSION=	2.4.33
+PORTVERSION=	2.6.15
 PORTREVISION?=	0
 CATEGORIES?=	mail
 MASTER_SITES=	GNOME
-PKGNAMESUFFIX?=	-24
+PKGNAMESUFFIX?=	-26
 
 MAINTAINER?=	ahicks@p-o.co.uk
 COMMENT?=	Library (written in C) for parsing and creating messages using MIME
@@ -15,11 +15,12 @@ LICENSE=	LGPL21
 
 CONFLICTS=	gmime-1.0.*
 
-SLAVEDIRS=	mail/gmime2-sharp
+SLAVEDIRS=	mail/gmime26-sharp
 
-DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}24
+DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}26
 USE_GMAKE=	yes
-USE_GNOME?=	glib20
+USE_AUTOTOOLS=	libtool
+USE_GNOME+=	glib20 ltverhack
 USES=		pathfix pkgconfig iconv
 USE_LDCONFIG=	yes
 USE_XZ=		yes
@@ -30,19 +31,21 @@ GNU_CONFIGURE=	yes
 CONFIGURE_ARGS?=--with-html-dir=${PREFIX}/share/doc \
 		--enable-mono=no \
 		--program-transform-name="s/uuencode/gmime-uuencode/;s/uudecode/gmime-uudecode/;"
-CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib"
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
-LATEST_LINK?=	${PORTNAME}24
+LATEST_LINK?=	${PORTNAME}26
 
 PORTDOCS=	*
 
+.include <bsd.port.options.mk>
+
 post-patch:
-	@${REINPLACE_CMD} -e 's|-DG_DISABLE_DEPRECATED||g' \
-		${WRKSRC}/*/Makefile.in
+	@${REINPLACE_CMD} -e '/^SUBDIRS =/s/tests//' \
+		${WRKSRC}/Makefile.in
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 .for i in docs/reference/html/*
 	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}

Modified: head/mail/gmime26/distinfo
==============================================================================
--- head/mail/gmime24/distinfo	Sun May 12 19:57:08 2013	(r317975)
+++ head/mail/gmime26/distinfo	Wed May 22 09:04:54 2013	(r318750)
@@ -1,2 +1,2 @@
-SHA256 (gmime-2.4.33.tar.xz) = 27dfa99967c19d2e8707b2670bd084dd514167925cca92cbd474298fc515d391
-SIZE (gmime-2.4.33.tar.xz) = 692336
+SHA256 (gmime-2.6.15.tar.xz) = b4c2a0b99b82063387cd750a38421ebaa0636f339e67984a84371bcb697dc99a
+SIZE (gmime-2.6.15.tar.xz) = 731880

Copied and modified: head/mail/gmime26/files/patch-gmime.pc.in (from r317975, head/mail/gmime24/files/patch-gmime-2.4.pc.in)
==============================================================================
--- head/mail/gmime24/files/patch-gmime-2.4.pc.in	Sun May 12 19:57:08 2013	(r317975, copy source)
+++ head/mail/gmime26/files/patch-gmime.pc.in	Wed May 22 09:04:54 2013	(r318750)
@@ -1,10 +1,11 @@
---- gmime-2.4.pc.in.orig	Tue May  3 19:34:20 2005
-+++ gmime-2.4.pc.in	Wed Feb  1 00:51:53 2006
-@@ -7,6 +7,6 @@
+--- gmime.pc.in.orig	2013-05-22 08:39:38.000000000 +0000
++++ gmime.pc.in	2013-05-22 08:39:54.000000000 +0000
+@@ -7,7 +7,7 @@
  Name: GMime
  Version: @VERSION@
  Description: MIME parser and utility library
--Requires: glib-2.0,gobject-2.0
-+Requires: glib-2.0,gobject-2.0,gthread-2.0
- Libs: -L${libdir} @GMIME_LIBS@ @LIBS@
- Cflags: -I${includedir}/gmime-2.0 @GMIME_CFLAGS@
+-Requires: glib-2.0,gio-2.0,gobject-2.0
++Requires: glib-2.0,gio-2.0,gobject-2.0,gthread-2.0
+ Libs: -L${libdir} @GMIME_LIBS@
+ Libs.private: @GMIME_LIBS_PRIVATE@
+ Cflags: -I${includedir}/gmime-@GMIME_API_VERSION@ @GMIME_CFLAGS@

Modified: head/mail/gmime26/pkg-plist
==============================================================================
--- head/mail/gmime24/pkg-plist	Sun May 12 19:57:08 2013	(r317975)
+++ head/mail/gmime26/pkg-plist	Wed May 22 09:04:54 2013	(r318750)
@@ -1,56 +1,60 @@
-include/gmime-2.4/gmime/gmime-charset.h
-include/gmime-2.4/gmime/gmime-cipher-context.h
-include/gmime-2.4/gmime/gmime-content-type.h
-include/gmime-2.4/gmime/gmime-data-wrapper.h
-include/gmime-2.4/gmime/gmime-disposition.h
-include/gmime-2.4/gmime/gmime-encodings.h
-include/gmime-2.4/gmime/gmime-error.h
-include/gmime-2.4/gmime/gmime-filter-basic.h
-include/gmime-2.4/gmime/gmime-filter-best.h
-include/gmime-2.4/gmime/gmime-filter-charset.h
-include/gmime-2.4/gmime/gmime-filter-crlf.h
-include/gmime-2.4/gmime/gmime-filter-enriched.h
-include/gmime-2.4/gmime/gmime-filter-from.h
-include/gmime-2.4/gmime/gmime-filter-gzip.h
-include/gmime-2.4/gmime/gmime-filter-html.h
-include/gmime-2.4/gmime/gmime-filter-md5.h
-include/gmime-2.4/gmime/gmime-filter-strip.h
-include/gmime-2.4/gmime/gmime-filter-windows.h
-include/gmime-2.4/gmime/gmime-filter-yenc.h
-include/gmime-2.4/gmime/gmime-filter.h
-include/gmime-2.4/gmime/gmime-gpg-context.h
-include/gmime-2.4/gmime/gmime-header.h
-include/gmime-2.4/gmime/gmime-iconv-utils.h
-include/gmime-2.4/gmime/gmime-iconv.h
-include/gmime-2.4/gmime/gmime-message-part.h
-include/gmime-2.4/gmime/gmime-message-partial.h
-include/gmime-2.4/gmime/gmime-message.h
-include/gmime-2.4/gmime/gmime-multipart-encrypted.h
-include/gmime-2.4/gmime/gmime-multipart-signed.h
-include/gmime-2.4/gmime/gmime-multipart.h
-include/gmime-2.4/gmime/gmime-object.h
-include/gmime-2.4/gmime/gmime-param.h
-include/gmime-2.4/gmime/gmime-parse-utils.h
-include/gmime-2.4/gmime/gmime-parser.h
-include/gmime-2.4/gmime/gmime-part.h
-include/gmime-2.4/gmime/gmime-session-simple.h
-include/gmime-2.4/gmime/gmime-session.h
-include/gmime-2.4/gmime/gmime-stream-buffer.h
-include/gmime-2.4/gmime/gmime-stream-cat.h
-include/gmime-2.4/gmime/gmime-stream-file.h
-include/gmime-2.4/gmime/gmime-stream-filter.h
-include/gmime-2.4/gmime/gmime-stream-fs.h
-include/gmime-2.4/gmime/gmime-stream-mem.h
-include/gmime-2.4/gmime/gmime-stream-mmap.h
-include/gmime-2.4/gmime/gmime-stream-null.h
-include/gmime-2.4/gmime/gmime-stream.h
-include/gmime-2.4/gmime/gmime-utils.h
-include/gmime-2.4/gmime/gmime.h
-include/gmime-2.4/gmime/internet-address.h
-lib/libgmime-2.4.a
-lib/libgmime-2.4.la
-lib/libgmime-2.4.so
-lib/libgmime-2.4.so.6
-libdata/pkgconfig/gmime-2.4.pc
-@dirrm include/gmime-2.4/gmime
-@dirrm include/gmime-2.4
+include/gmime-2.6/gmime/gmime-certificate.h
+include/gmime-2.6/gmime/gmime-charset.h
+include/gmime-2.6/gmime/gmime-content-type.h
+include/gmime-2.6/gmime/gmime-crypto-context.h
+include/gmime-2.6/gmime/gmime-data-wrapper.h
+include/gmime-2.6/gmime/gmime-disposition.h
+include/gmime-2.6/gmime/gmime-encodings.h
+include/gmime-2.6/gmime/gmime-error.h
+include/gmime-2.6/gmime/gmime-filter-basic.h
+include/gmime-2.6/gmime/gmime-filter-best.h
+include/gmime-2.6/gmime/gmime-filter-charset.h
+include/gmime-2.6/gmime/gmime-filter-crlf.h
+include/gmime-2.6/gmime/gmime-filter-enriched.h
+include/gmime-2.6/gmime/gmime-filter-from.h
+include/gmime-2.6/gmime/gmime-filter-gzip.h
+include/gmime-2.6/gmime/gmime-filter-html.h
+include/gmime-2.6/gmime/gmime-filter-md5.h
+include/gmime-2.6/gmime/gmime-filter-strip.h
+include/gmime-2.6/gmime/gmime-filter-windows.h
+include/gmime-2.6/gmime/gmime-filter-yenc.h
+include/gmime-2.6/gmime/gmime-filter.h
+include/gmime-2.6/gmime/gmime-gpg-context.h
+include/gmime-2.6/gmime/gmime-header.h
+include/gmime-2.6/gmime/gmime-iconv-utils.h
+include/gmime-2.6/gmime/gmime-iconv.h
+include/gmime-2.6/gmime/gmime-message-part.h
+include/gmime-2.6/gmime/gmime-message-partial.h
+include/gmime-2.6/gmime/gmime-message.h
+include/gmime-2.6/gmime/gmime-multipart-encrypted.h
+include/gmime-2.6/gmime/gmime-multipart-signed.h
+include/gmime-2.6/gmime/gmime-multipart.h
+include/gmime-2.6/gmime/gmime-object.h
+include/gmime-2.6/gmime/gmime-param.h
+include/gmime-2.6/gmime/gmime-parser.h
+include/gmime-2.6/gmime/gmime-part-iter.h
+include/gmime-2.6/gmime/gmime-part.h
+include/gmime-2.6/gmime/gmime-pkcs7-context.h
+include/gmime-2.6/gmime/gmime-signature.h
+include/gmime-2.6/gmime/gmime-stream-buffer.h
+include/gmime-2.6/gmime/gmime-stream-cat.h
+include/gmime-2.6/gmime/gmime-stream-file.h
+include/gmime-2.6/gmime/gmime-stream-filter.h
+include/gmime-2.6/gmime/gmime-stream-fs.h
+include/gmime-2.6/gmime/gmime-stream-gio.h
+include/gmime-2.6/gmime/gmime-stream-mem.h
+include/gmime-2.6/gmime/gmime-stream-mmap.h
+include/gmime-2.6/gmime/gmime-stream-null.h
+include/gmime-2.6/gmime/gmime-stream-pipe.h
+include/gmime-2.6/gmime/gmime-stream.h
+include/gmime-2.6/gmime/gmime-utils.h
+include/gmime-2.6/gmime/gmime-version.h
+include/gmime-2.6/gmime/gmime.h
+include/gmime-2.6/gmime/internet-address.h
+lib/libgmime-2.6.a
+lib/libgmime-2.6.la
+lib/libgmime-2.6.so
+lib/libgmime-2.6.so.0
+libdata/pkgconfig/gmime-2.6.pc
+@dirrm include/gmime-2.6/gmime
+@dirrm include/gmime-2.6
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Koop Mast freebsd_committer 2013-05-22 10:05:14 UTC
State Changed
From-To: open->closed

Committed thanks for the feedback. I had some trouble applying your diff 
so if I missed anything please let me know and I will fix it.